Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CollisionHandlerQueue Class Reference

A special kind of CollisionHandler that does nothing except remember the CollisionEntries detected the last pass. More...

Inheritance diagram for CollisionHandlerQueue:

List of all members.

## Public Member Functions
| CollisionHandlerQueue ()
| clearEntries ()
| Removes all the entries from the queue.
list | getEntries ()
CollisionEntry | getEntry (int n)
| Returns the nth CollisionEntry detected last pass.
int | getNumEntries ()
| Returns the number of CollisionEntries detected last pass.
| output (ostream out)
| sortEntries ()
| Sorts all the detected collisions front-to-back by from_intersection_point() so that those intersection points closest to the collider's origin (e.g., the center of the CollisionSphere, or the point_a of a CollisionSegment) appear first.
| write (ostream out, int indent_level)
| write (ostream out)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A special kind of CollisionHandler that does nothing except remember the CollisionEntries detected the last pass.

This set of CollisionEntries may then be queried by the calling function. It's primarily useful when a simple intersection test is being made, e.g. for picking from the window.

## Constructor & Destructor Documentation

CollisionHandlerQueue | ( |  | ) |

## Member Function Documentation

clearEntries | ( |  | ) |

Removes all the entries from the queue.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from CollisionHandler.

list getEntries | ( |  | ) |

CollisionEntry getEntry | ( | int | n | ) |

Returns the nth CollisionEntry detected last pass.

int getNumEntries | ( |  | ) |

Returns the number of CollisionEntries detected last pass.

output | ( | ostream | out | ) |

sortEntries | ( |  | ) |

Sorts all the detected collisions front-to-back by from_intersection_point() so that those intersection points closest to the collider's origin (e.g., the center of the CollisionSphere, or the point_a of a CollisionSegment) appear first.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties